<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
               <span jhiTranslate="mpmApp.serviceReminder.home.title">Service Reminders</span>
            </h5>
            <p-dataTable
                [value]="serviceReminders"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idReminder"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['/', { outlets: { popup: ['service-reminder-new'] } }]">
                        </button>
                    </div>
                    <div>
                        <form name="searchForm" class="form-inline">
                        <div class="input-group w-100 mt-3">
                            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                name="currentSearch" placeholder="{{ 'mpmApp.serviceReminder.home.search' | translate }}">
                            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                <span class="fa fa-search"></span>
                            </button>
                            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                <span class="fa fa-trash-o"></span>
                            </button>
                        </div>
                    </form>
                    </div>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.serviceReminder.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'global.field.id'|translate}}" [style]="{'width': '80px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idReminder}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.serviceReminder.days'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.days | number}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.serviceReminder.claimType'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.claimTypeId">
                            <a [routerLink]="['../dealer-claim-type', rowData.claimTypeId  ]" >{{rowData.claimTypeDescription}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.serviceReminder.reminderType'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.reminderTypeId">
                            <a [routerLink]="['../dealer-reminder-type', rowData.reminderTypeId  ]" >{{rowData.reminderTypeDescription}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.serviceReminder.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['../service-reminder', rowData.idReminder]"
                                icon="fa-eye"
                                class="flat-button"
                                [style]="{'height':'50px'}">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'service-reminder/'+ rowData.idReminder + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.idReminder)"
                                icon="fa-remove"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>  
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>